Bug 1311113 - No validation for repository label update
No validation for repository label update
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.1.7
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 07:20 EST by Oleksandr Shtaier
Modified: 2017-08-04 09:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 09:20:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleksandr Shtaier 2016-02-23 07:20:55 EST
Description of problem:
Issue is specific to API part only. When I try to update repository label value - no error shown and nothing happened with entity

Making HTTP POST request to https://server.com/katello/api/v2/repositories with options {'verify': False, 'auth': ('login', 'pass'), 'headers': {'content-type': 'application/json'}} and data {"product_id": 149, "content_type": "yum", "url": "url", "name": "test_name"}.

Received HTTP 200 response: {...,"id":72,"name":"test_name","label":"df0d496f-c7f9-4ba0-b3ad-8cb98bc76609","content_type":"yum",...}

Making HTTP PUT request to https://server/katello/api/v2/repositories/72 with options {'verify': False, 'auth': ('login', 'pass'), 'headers': {'content-type': 'application/json'}} and data {"label": "ZQmZIjTjpX"}.

Received HTTP 200 response: {...,"id":72,"name":"name","label":"df0d496f-c7f9-4ba0-b3ad-8cb98bc76609","content_type":"yum",...}

For example for product we will get next error in the same situation:
"Validation failed: Label cannot be changed."

Version-Release number of selected component (if applicable):
6.1.7

How reproducible:
Always

Steps to Reproduce:
1. Attempt to change repository label
2.
3.

Actual results:
No error shown. No changes to entity happened

Expected results:
"Validation failed: Label cannot be changed." error should be raised

Additional info:
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:35:28 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2017-08-04 09:20:56 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.